> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# org のビルドを一覧表示する

<div id="permissions">
  ## 権限
</div>

組織レベルの `ManageRepoBlueprints` 権限を持つサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3beta1/organizations/{org_id}/snapshot-setup/builds
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/organizations/{org_id}/snapshot-setup/builds:
    get:
      tags:
        - snapshot_setup
      summary: org のビルドを一覧表示する
      operationId: list_org_builds_v3beta1_organizations__org_id__snapshot_setup_builds_get
      parameters:
        - description: '組織 ID（プレフィックス: org-）'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
        - in: query
          name: qs
          required: true
          schema:
            $ref: '#/components/schemas/CursorPaginationParams'
        - description: spec のステータスで絞り込みます。
          in: query
          name: status
          required: false
          schema:
            anyOf:
              - enum:
                  - pending
                  - running
                  - succeeded
                  - failed
                  - cancelled
                type: string
              - type: 'null'
            description: spec のステータスで絞り込みます。
            title: Status
        - description: >-
            true の場合、返されるアイテムは 0 個または 1 個で、新しいセッションで現在利用されている image の build
            が返されます。
          in: query
          name: active
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: >-
              true の場合、返されるアイテムは 0 個または 1 個で、新しいセッションで現在利用されている image の build
              が返されます。
            title: Active
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_Build_'
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    CursorPaginationParams:
      properties:
        after:
          anyOf:
            - type: string
            - type: 'null'
          title: After
        first:
          default: 100
          maximum: 200
          minimum: 1
          title: First
          type: integer
      title: CursorPaginationParams
      type: object
    PaginatedResponse_Build_:
      properties:
        end_cursor:
          anyOf:
            - type: string
            - type: 'null'
          description: 次のページを取得するためのカーソル。これが最後のページの場合は None。
          title: End Cursor
        has_next_page:
          default: false
          description: このページの後に利用可能なアイテムがさらにあるかどうか。
          title: Has Next Page
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/Build'
          title: Items
          type: array
        total:
          anyOf:
            - type: integer
            - type: 'null'
          description: 合計件数（省略可。パフォーマンス上の理由で省略される場合があります）。
          title: Total
      required:
        - items
      title: PaginatedResponse[Build]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    Build:
      description: >-
        公開 ``Build`` リソースの形式 — 「これはもう成功したか？」だけを示す不透明なビュー。


        仕様上、プラットフォーム/スナップショット/ジョブ単位の詳細は公開されません。今後の追加（``triggered_by_repo``、ビルドメタデータなど）は追加的です。
      properties:
        build_id:
          title: Build Id
          type: string
        completed_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Completed At
        created_at:
          title: Created At
          type: integer
        pinned:
          title: Pinned
          type: boolean
        started_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Started At
        status:
          enum:
            - pending
            - running
            - succeeded
            - failed
            - cancelled
          title: Status
          type: string
        trigger:
          anyOf:
            - enum:
                - manual
                - auto
              type: string
            - type: 'null'
          title: Trigger
        triggered_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Triggered By User Id
        updated_at:
          title: Updated At
          type: integer
      required:
        - build_id
        - status
        - trigger
        - triggered_by_user_id
        - pinned
        - started_at
        - completed_at
        - created_at
        - updated_at
      title: Build
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````